## CamelNetworkSettings

CamelNetworkSettings

## Functions

const gchar * | camel_network_settings_get_auth_mechanism ()
gchar * | camel_network_settings_dup_auth_mechanism ()
void | camel_network_settings_set_auth_mechanism ()
const gchar * | camel_network_settings_get_host ()
gchar * | camel_network_settings_dup_host ()
gchar * | camel_network_settings_dup_host_ensure_ascii ()
void | camel_network_settings_set_host ()
guint16 | camel_network_settings_get_port ()
void | camel_network_settings_set_port ()
CamelNetworkSecurityMethod | camel_network_settings_get_security_method ()
void | camel_network_settings_set_security_method ()
const gchar * | camel_network_settings_get_user ()
gchar * | camel_network_settings_dup_user ()
void | camel_network_settings_set_user ()

## Properties

char * | auth-mechanism | Read / Write / Construct
char * | host | Read / Write / Construct
guint | port | Read / Write / Construct
CamelNetworkSecurityMethod | security-method | Read / Write / Construct
char * | user | Read / Write / Construct

## Types and Values

| CamelNetworkSettings

## Object Hierarchy

        GInterface
        ╰── CamelNetworkSettings

## Prerequisites

CamelNetworkSettings requires CamelSettings.

## Description

## Functions

### camel_network_settings_get_auth_mechanism ()

    const gchar *
    camel_network_settings_get_auth_mechanism
                                   (CamelNetworkSettings *settings);

Returns the mechanism name used to authenticate to a network service. Often this refers to a SASL mechanism such as "LOGIN" or "GSSAPI".

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

the authentication mechanism name.

[nullable]

Since: 3.4

### camel_network_settings_dup_auth_mechanism ()

    gchar *
    camel_network_settings_dup_auth_mechanism
                                   (CamelNetworkSettings *settings);

Thread-safe variation of `camel_network_settings_get_auth_mechanism()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

a newly-allocated copy of “auth-mechanism”.

[nullable]

Since: 3.4

### camel_network_settings_set_auth_mechanism ()

    void
    camel_network_settings_set_auth_mechanism
                                   (CamelNetworkSettings *settings,
                                    const gchar *auth_mechanism);

Sets the mechanism name used to authenticate to a network service. Often this refers to a SASL mechanism such as "LOGIN" or "GSSAPI". The “auth-mechanism” property is automatically stripped of leading and trailing whitespace.

#### Parameters

settings | a CamelNetworkSettings |
auth_mechanism | an authentication mechanism name, or `NULL`. | [nullable]

Since: 3.4

### camel_network_settings_get_host ()

    const gchar *
    camel_network_settings_get_host (CamelNetworkSettings *settings);

Returns the host name used to authenticate to a network service.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

the host name of a network service

Since: 3.4

### camel_network_settings_dup_host ()

    gchar *
    camel_network_settings_dup_host (CamelNetworkSettings *settings);

Thread-safe variation of `camel_network_settings_get_host()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

a newly-allocated copy of “host”

Since: 3.4

### camel_network_settings_dup_host_ensure_ascii ()

    gchar *
    camel_network_settings_dup_host_ensure_ascii
                                   (CamelNetworkSettings *settings);

Just like `camel_network_settings_dup_host()`, only makes sure that the returned host name will be converted into its ASCII form in case of IDNA value.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

a newly-allocated copy of “host” with only ASCII letters.

Since: 3.16

### camel_network_settings_set_host ()

    void
    camel_network_settings_set_host (CamelNetworkSettings *settings,
                                     const gchar *host);

Sets the host name used to authenticate to a network service. The “host” property is automatically stripped of leading and trailing whitespace.

#### Parameters

settings | a CamelNetworkSettings |
host | a host name, or `NULL`. | [nullable]

Since: 3.4

### camel_network_settings_get_port ()

    guint16
    camel_network_settings_get_port (CamelNetworkSettings *settings);

Returns the port number used to authenticate to a network service.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

the port number of a network service

Since: 3.4

### camel_network_settings_set_port ()

    void
    camel_network_settings_set_port (CamelNetworkSettings *settings,
                                     guint16 port);

Sets the port number used to authenticate to a network service.

#### Parameters

settings | a CamelNetworkSettings |
port | a port number |

Since: 3.4

### camel_network_settings_get_security_method ()

    CamelNetworkSecurityMethod
    camel_network_settings_get_security_method
                                   (CamelNetworkSettings *settings);

Returns the method used to establish a secure (or unsecure) network connection.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

the security method

Since: 3.2

### camel_network_settings_set_security_method ()

    void
    camel_network_settings_set_security_method
                                   (CamelNetworkSettings *settings,
                                    CamelNetworkSecurityMethod method);

Sets the method used to establish a secure (or unsecure) network connection. Note that changing this setting has no effect on an already-established network connection.

#### Parameters

settings | a CamelNetworkSettings |
method | the security method |

Since: 3.2

### camel_network_settings_get_user ()

    const gchar *
    camel_network_settings_get_user (CamelNetworkSettings *settings);

Returns the user name used to authenticate to a network service.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

the user name of a network service

Since: 3.4

### camel_network_settings_dup_user ()

    gchar *
    camel_network_settings_dup_user (CamelNetworkSettings *settings);

Thread-safe variation of `camel_network_settings_get_user()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelNetworkSettings |

#### Returns

a newly-allocated copy of “user”

Since: 3.4

### camel_network_settings_set_user ()

    void
    camel_network_settings_set_user (CamelNetworkSettings *settings,
                                     const gchar *user);

Sets the user name used to authenticate to a network service. The “user” property is automatically stripped of leading and trailing whitespace.

#### Parameters

settings | a CamelNetworkSettings |
user | a user name, or `NULL`. | [nullable]

Since: 3.4

## Types and Values

### CamelNetworkSettings

    typedef struct _CamelNetworkSettings CamelNetworkSettings;

Since: 3.2

## Property Details

### The `“auth-mechanism”` property

      “auth-mechanism”           char *

Authentication mechanism name.

Owner: CamelNetworkSettings

Flags: Read / Write / Construct

Default value: NULL

### The `“host”` property

      “host”                     char *

Host name for the network service.

Owner: CamelNetworkSettings

Flags: Read / Write / Construct

Default value: ""

### The `“port”` property

      “port”                     guint

Port number for the network service.

Owner: CamelNetworkSettings

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 0

### The `“security-method”` property

      “security-method”          CamelNetworkSecurityMethod

Method used to establish a network connection.

Owner: CamelNetworkSettings

Flags: Read / Write / Construct

Default value: CAMEL_NETWORK_SECURITY_METHOD_STARTTLS_ON_STANDARD_PORT

### The `“user”` property

      “user”                     char *

User name for the network account.

Owner: CamelNetworkSettings

Flags: Read / Write / Construct

Default value: NULL